# GimpUi.PatternChooser.new

    function new(title: String, label: String, pattern: Gimp.Pattern): Gtk.Widget {
        // Gjs wrapper for gimp_pattern_chooser_new()
    }

Creates a new Gtk.Widget that lets a user choose a pattern. You can put this widget in a table in a plug-in dialog.

When pattern is NULL, initial choice is from context.

Since 2.4

title

  Title of the dialog to use or null to use the default title.

label

  Button label or null for no label.

pattern

  Initial pattern.

Returns

  A Gtk.Widget that you can use in your UI.